#include <bits/stdc++.h>
#define int long long
#define ff first
#define ss second
#define pb push_back
#define yes cout<<"YES\n"
#define no cout<<"NO\n"
#define no1 cout<<"-1\n"

using namespace std;

const int N = 1e6+100;
const int INF = 1e18;
const int mod = 1e9+7;

// int binpow (int a, int n) {
// 	if (n == 0)
// 		return 1;
// 	if (n % 2 == 1)
// 		return (binpow (a, n-1)%mod * a%mod)%mod;
// 	else {
// 		int b = binpow (a, n/2) % mod;
// 		return (b%mod * b%mod)%mod;
// 	}
// }

int n,m;
int a[N];
map<int,int> mp;

void solve(){
    cin>>n>>m;
    for(int i = 1;i<=m;i++){
        cin>>a[i];
        mp[a[i]]++;
    }
    vector<int> ans;
    for(int i = 1;i<=m;i++){
        if(mp[a[i]]>=n){
            ans.pb(a[i]);
            mp[a[i]] = 0;
        }
    }
    cout<<ans.size()<<'\n';
    for(auto x:ans) cout<<x<<' ';
}       



signed main(){
    ios_base::sync_with_stdio(0);
    cin.tie(nullptr);
    // cout.tie(nullptr);
    int t = 1; 
    // cin>>t;
    // cout<<"";
    for(int i = 1;i<=t;i++){
        solve();
    }
}